<template>
  <div class="convert-number">
    <div class="mt-7 convert-number-input">
      <v-col cols="12">
        <v-text-field
          label="Enter Number"
          solo
          v-model="Value"
          v-on:keyup="convert"
        ></v-text-field>
      </v-col>
    </div>
    <div class="convert-number-txt">
      <v-col cols="12">
        {{ converted }}
      </v-col>
    </div>
  </div>
</template>

<script>
import Utils from '~/utils/convertNumberToWord'
export default {
  components: {},
  data() {
    return {
      result: '',
      converted: '',
      Value: '',
    }
  },
  methods: {
    convert() {
      this.result = this.Value

      const num = Utils.addComma(this.result)
      this.Value = num

      const res = Utils.convertbig(this.result)
      res ? (this.converted = res + ' تومان ') : (this.converted = '')
      this.$emit('valueOfInput', num)
    },
  },
 
  
}
</script>

